Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfPRow

    java.lang.Object
      com.lowagie.text.pdf.PdfPRow

    public class PdfPRow

extends Object

A row in a PdfPTable.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`static float` | `BOTTOM_LIMIT` the bottom limit (bottom right y)
`protected boolean` | `calculated`
`private int[]` | `canvasesPos`
`protected PdfPCell[]` | `cells`
`protected float` | `maxHeight`
`protected float[]` | `widths`

Constructor Summary
`PdfPRow(PdfPCell[] cells)` Constructs a new PdfPRow with the cells in the array that was passed as a parameter.
`PdfPRow(PdfPRow row)` Makes a copy of an existing row.

Method Summary
`float` | `calculateHeights()` Calculates the heights of each cell in the row.
`(package private) float[]` | `getEventWidth(float xPos)`
`float` | `getMaxHeights()` Gets the maximum height of the row (i.e. of the 'highest' cell).
`boolean` | `isCalculated()` Checks if the dimensions of the columns were calculated.
`private void` | `restoreCanvases(PdfContentByte[] canvases)`
`private void` | `saveAndRotateCanvases(PdfContentByte[] canvases, float a, float b, float c, float d, float e, float f)`
`private float` | `setColumn(ColumnText ct, float llx, float lly, float urx, float ury)`
`void` | `setMaxHeights(float maxHeight)` Changes the maximum height of the row (to make it higher).
`boolean` | `setWidths(float[] widths)` Sets the widths of the columns in the row.
`PdfPRow` | `splitRow(float newHeight)` Splits a row to newHeight.
`void` | `writeBorderAndBackground(float xPos, float yPos, PdfPCell cell, PdfContentByte[] canvases)` Writes the border and background of one cell in the row.
`void` | `writeCells(int colStart, int colEnd, float xPos, float yPos, PdfContentByte[] canvases)` Writes a number of cells (not necessarily all cells).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOTTOM_LIMIT

    public static final float BOTTOM_LIMIT

  the bottom limit (bottom right y)

  See Also:
    Constant Field Values

### cells

    protected PdfPCell[] cells

### widths

    protected float[] widths

### maxHeight

    protected float maxHeight

### calculated

    protected boolean calculated

### canvasesPos

    private int[] canvasesPos

Constructor Detail

### PdfPRow

    public PdfPRow(PdfPCell[] cells)

  Constructs a new PdfPRow with the cells in the array that was passed as a parameter.

  Parameters:
    `cells` -

### PdfPRow

    public PdfPRow(PdfPRow row)

  Makes a copy of an existing row.

  Parameters:
    `row` -

Method Detail

### setWidths

    public boolean setWidths(float[] widths)

  Sets the widths of the columns in the row.

  Parameters:
    `widths` -
  Returns:
    true if everything went right

### calculateHeights

    public float calculateHeights()

  Calculates the heights of each cell in the row.

  Returns:
    the maximum height of the row.

### writeBorderAndBackground

    public void writeBorderAndBackground(float xPos,
                                         float yPos,
                                         PdfPCell cell,
                                         PdfContentByte[] canvases)

  Writes the border and background of one cell in the row.

  Parameters:
    `xPos` -
    `yPos` -
    `cell` -
    `canvases` -

### saveAndRotateCanvases

    private void saveAndRotateCanvases(PdfContentByte[] canvases,
                                       float a,
                                       float b,
                                       float c,
                                       float d,
                                       float e,
                                       float f)

### restoreCanvases

    private void restoreCanvases(PdfContentByte[] canvases)

### setColumn

    private float setColumn(ColumnText ct,
                            float llx,
                            float lly,
                            float urx,
                            float ury)

### writeCells

    public void writeCells(int colStart,
                           int colEnd,
                           float xPos,
                           float yPos,
                           PdfContentByte[] canvases)

  Writes a number of cells (not necessarily all cells).

  Parameters:
    `colStart` -
    `colEnd` -
    `xPos` -
    `yPos` -
    `canvases` -

### isCalculated

    public boolean isCalculated()

  Checks if the dimensions of the columns were calculated.

  Returns:
    true if the dimensions of the columns were calculated

### getMaxHeights

    public float getMaxHeights()

  Gets the maximum height of the row (i.e. of the 'highest' cell).

  Returns:
    the maximum height of the row

### setMaxHeights

    public void setMaxHeights(float maxHeight)

  Changes the maximum height of the row (to make it higher). (added by Jin-Hsia Yang)

  Parameters:
    `maxHeight` - the new maximum height

### getEventWidth

    float[] getEventWidth(float xPos)

### splitRow

    public PdfPRow splitRow(float newHeight)

  Splits a row to newHeight. The returned row is the remainder. It will return null if the newHeight was so small that only an empty row would result.

  Parameters:
    `newHeight` - the new height
  Returns:
    the remainder row or null if the newHeight was so small that only an empty row would result

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD